Subject: [alpine-user] OpenRC warning rc_need from rc-status

From: "Lloydz" <[email-masked]>
Date: Fri, 5 Apr 2019 17:08:02 +0200

Hi,

since a few weeks I'm using Alpine Linux on my PC-Engines APU2 Board.  The
System have 3 network cards.
I'm using openssh as ssh-server. I notice that if I restart openssh or print
the service status via rc-status, I get
the following message:

[...]
apu2:~# rc-status
 * Caching service dependencies ...
 * You are binding an interface in ListenAddress statement in your
sshd_config!
 * You must add rc_need="net.FOO" to your /etc/conf.d/sshd
 * where FOO is the interface(s) providing the following address(es):
[...]

I know about the rc_need variable from OpenRC at Gentoo Linux. On Gentoo
Linux I have to make a link to net.lo at
/etc/init.d/ to the specific network device, but on Alpine Linux there are
not such a file net.lo and I have configured
the network via /etc/network/interfaces only, and it works fine.
By the way, also sshd works fine, without the "rc_need=net.FOO". There is
only the message, while the service restarts or I get the rc-status.

I think it could be interesting for developer.

Bye.

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---